# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.calendar
Class CalendarEventFeed

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.Source
                  com.google.gdata.data.BaseFeed<F,E>
                      com.google.gdata.data.extensions.BaseEventFeed<CalendarEventFeed,CalendarEventEntry>
                          com.google.gdata.data.calendar.CalendarEventFeed

All Implemented Interfaces:
  Extension, IAtom, IFeed, Kind.Adaptable, Kind.Adaptor

    public class CalendarEventFeed

extends BaseEventFeed<CalendarEventFeed,CalendarEventEntry>

Describes a Calendar event feed.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.BaseFeed
`BaseFeed.FeedHandler, BaseFeed.FeedState`

Nested classes/interfaces inherited from class com.google.gdata.data.Source
`Source.SourceHandler, Source.SourceState`

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.BaseFeed
`entries, entryClass, feedState`

Fields inherited from class com.google.gdata.data.Source
`srcState`

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`CalendarEventFeed()` Default mutable constructor.
`CalendarEventFeed(BaseFeed<?,?> sourceFeed)` Constructs a new instance by doing a shallow copy of data from an existing `BaseFeed` instance.

Method Summary
`void` `declareExtensions(ExtensionProfile extProfile)` Declares the set of expected Extension types for an ExtensionPoint within the target extension profile.
`TimesCleanedProperty` `getTimesCleaned()` Returns the times cleaned property.
`TimeZoneProperty` `getTimeZone()` Returns the time zone.
`boolean` `hasTimesCleaned()` Returns whether it has the times cleaned property.
`boolean` `hasTimeZone()` Returns whether it has the time zone.
`void` `setTimesCleaned(TimesCleanedProperty timesCleaned)` Sets the times cleaned property.
`void` `setTimeZone(TimeZoneProperty timeZone)` Sets the time zone.
`java.lang.String` `toString()`
`protected void` `validate()` Checks the attributes to see if there are any problems.

Methods inherited from class com.google.gdata.data.BaseFeed

`addAdaptor, createEntry, generate, generateAtom, generateFeedEnd, generateFeedStart, generateRss, getAdaptedFeed, getAdaptor, getAdaptors, getCanPost, getEntries, getEntries, getEntryPostLink, getEtag, getFeedBatchLink, getHandler, getItemsPerPage, getKind, getNextLink, getPreviousLink, getSelectedFields, getSelf, getSelfLink, getService, getStartIndex, getTotalResults, getVersionId, insert, parseAtom, parseAtom, parseAtom, readFeed, readFeed, setCanPost, setEntries, setEtag, setItemsPerPage, setKind, setSelectedFields, setService, setStartIndex, setTotalResults, setVersionId, visitChildren`

Methods inherited from class com.google.gdata.data.Source
`addHtmlLink, addLink, addLink, generateInnerAtom, getAuthors, getCategories, getContributors, getGenerator, getHtmlLink, getIcon, getId, getLink, getLinks, getLinks, getLogo, getRights, getSubtitle, getTitle, getUpdated, removeLinks, removeLinks, setGenerator, setGenerator, setIcon, setId, setLogo, setRights, setSubtitle, setTitle, setUpdated`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.google.gdata.data.IFeed
`getGenerator, getLogo, getSubtitle, setGenerator, setLogo`

Methods inherited from interface com.google.gdata.data.IAtom
`addLink, getAuthors, getCategories, getId, getLink, getLinks, getTitle, getUpdated, removeLinks, removeLinks, setId, setUpdated`

Constructor Detail

### CalendarEventFeed

    public CalendarEventFeed()

  Default mutable constructor.

### CalendarEventFeed

    public CalendarEventFeed(BaseFeed<?,?> sourceFeed)

  Constructs a new instance by doing a shallow copy of data from an existing `BaseFeed` instance.

  Parameters:
    `sourceFeed` - source feed

Method Detail

### declareExtensions

    public void declareExtensions(ExtensionProfile extProfile)

  Description copied from class: `BaseFeed`
  Declares the set of expected Extension types for an ExtensionPoint within the target extension profile. The base implementation does not declare any extensions, but can be overridden by specific types of ExtensionPoints that always contain a well-defined set of extensions.

  The implementation of this method for BaseFeed will declare any extensions associated with the contained entry type.

  Specified by:
    `declareExtensions` in interface `Kind.Adaptor`
  Overrides:
    `declareExtensions` in class `BaseEventFeed<CalendarEventFeed,CalendarEventEntry>`
  Parameters:
    `extProfile` - the ExtensionProfile to initialize.
  See Also:
    `ExtensionProfile.addDeclarations(Kind.Adaptor)`

### getTimeZone

    public TimeZoneProperty getTimeZone()

  Returns the time zone.

  Returns:
    time zone

### setTimeZone

    public void setTimeZone(TimeZoneProperty timeZone)

  Sets the time zone.

  Parameters:
    `timeZone` - time zone or `null` to reset

### hasTimeZone

    public boolean hasTimeZone()

  Returns whether it has the time zone.

  Returns:
    whether it has the time zone

### getTimesCleaned

    public TimesCleanedProperty getTimesCleaned()

  Returns the times cleaned property.

  Returns:
    times cleaned property

### setTimesCleaned

    public void setTimesCleaned(TimesCleanedProperty timesCleaned)

  Sets the times cleaned property.

  Parameters:
    `timesCleaned` - times cleaned property or `null` to reset

### hasTimesCleaned

    public boolean hasTimesCleaned()

  Returns whether it has the times cleaned property.

  Returns:
    whether it has the times cleaned property

### validate

    protected void validate()

  Description copied from class: `AbstractExtension`
  Checks the attributes to see if there are any problems. Default implementation does nothing, though generally this is discouraged unless there really are no restrictions.

  Overrides:
    `validate` in class `AbstractExtension`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`